// Copyright (c) 2015, Viktor Dakalov. All rights reserved. Use of this source code
// is governed by a BSD-style license that can be found in the LICENSE file.

/// Set of all colors represented [here](http://www.google.com/design/spec/style/color.html)
library presets;

import 'color.dart';

/// Red 500
const Color red = const Color(244, 67, 54);
/// Red 50
const Color red50 = const Color(255, 235, 238);
/// Red 100
const Color red100 = const Color(255, 205, 210);
/// Red 200
const Color red200 = const Color(239, 154, 154);
/// Red 300
const Color red300 = const Color(229, 115, 115);
/// Red 400
const Color red400 = const Color(239, 83, 80);
/// Red 500
const Color red500 = const Color(244, 67, 54);
/// Red 600
const Color red600 = const Color(229, 57, 53);
/// Red 700
const Color red700 = const Color(211, 47, 47);
/// Red 800
const Color red800 = const Color(198, 40, 40);
/// Red 900
const Color red900 = const Color(183, 28, 28);
/// Red A100
const Color redA100 = const Color(255, 138, 128);
/// Red A200
const Color redA200 = const Color(255, 82, 82);
/// Red A400
const Color redA400 = const Color(255, 23, 68);
/// Red A700
const Color redA700 = const Color(213, 0, 0);
/// Pink 500
const Color pink = const Color(233, 30, 99);
/// Pink 50
const Color pink50 = const Color(252, 228, 236);
/// Pink 100
const Color pink100 = const Color(248, 187, 208);
/// Pink 200
const Color pink200 = const Color(244, 143, 177);
/// Pink 300
const Color pink300 = const Color(240, 98, 146);
/// Pink 400
const Color pink400 = const Color(236, 64, 122);
/// Pink 500
const Color pink500 = const Color(233, 30, 99);
/// Pink 600
const Color pink600 = const Color(216, 27, 96);
/// Pink 700
const Color pink700 = const Color(194, 24, 91);
/// Pink 800
const Color pink800 = const Color(173, 20, 87);
/// Pink 900
const Color pink900 = const Color(136, 14, 79);
/// Pink A100
const Color pinkA100 = const Color(255, 128, 171);
/// Pink A200
const Color pinkA200 = const Color(255, 64, 129);
/// Pink A400
const Color pinkA400 = const Color(245, 0, 87);
/// Pink A700
const Color pinkA700 = const Color(197, 17, 98);
/// Purple 500
const Color purple = const Color(156, 39, 176);
/// Purple 50
const Color purple50 = const Color(243, 229, 245);
/// Purple 100
const Color purple100 = const Color(225, 190, 231);
/// Purple 200
const Color purple200 = const Color(206, 147, 216);
/// Purple 300
const Color purple300 = const Color(186, 104, 200);
/// Purple 400
const Color purple400 = const Color(171, 71, 188);
/// Purple 500
const Color purple500 = const Color(156, 39, 176);
/// Purple 600
const Color purple600 = const Color(142, 36, 170);
/// Purple 700
const Color purple700 = const Color(123, 31, 162);
/// Purple 800
const Color purple800 = const Color(106, 27, 154);
/// Purple 900
const Color purple900 = const Color(74, 20, 140);
/// Purple A100
const Color purpleA100 = const Color(234, 128, 252);
/// Purple A200
const Color purpleA200 = const Color(224, 64, 251);
/// Purple A400
const Color purpleA400 = const Color(213, 0, 249);
/// Purple A700
const Color purpleA700 = const Color(170, 0, 255);
/// Deep Purple 500
const Color deepPurple = const Color(103, 58, 183);
/// Deep Purple 50
const Color deepPurple50 = const Color(237, 231, 246);
/// Deep Purple 100
const Color deepPurple100 = const Color(209, 196, 233);
/// Deep Purple 200
const Color deepPurple200 = const Color(179, 157, 219);
/// Deep Purple 300
const Color deepPurple300 = const Color(149, 117, 205);
/// Deep Purple 400
const Color deepPurple400 = const Color(126, 87, 194);
/// Deep Purple 500
const Color deepPurple500 = const Color(103, 58, 183);
/// Deep Purple 600
const Color deepPurple600 = const Color(94, 53, 177);
/// Deep Purple 700
const Color deepPurple700 = const Color(81, 45, 168);
/// Deep Purple 800
const Color deepPurple800 = const Color(69, 39, 160);
/// Deep Purple 900
const Color deepPurple900 = const Color(49, 27, 146);
/// Deep Purple A100
const Color deepPurpleA100 = const Color(179, 136, 255);
/// Deep Purple A200
const Color deepPurpleA200 = const Color(124, 77, 255);
/// Deep Purple A400
const Color deepPurpleA400 = const Color(101, 31, 255);
/// Deep Purple A700
const Color deepPurpleA700 = const Color(98, 0, 234);
/// Indigo 500
const Color indigo = const Color(63, 81, 181);
/// Indigo 50
const Color indigo50 = const Color(232, 234, 246);
/// Indigo 100
const Color indigo100 = const Color(197, 202, 233);
/// Indigo 200
const Color indigo200 = const Color(159, 168, 218);
/// Indigo 300
const Color indigo300 = const Color(121, 134, 203);
/// Indigo 400
const Color indigo400 = const Color(92, 107, 192);
/// Indigo 500
const Color indigo500 = const Color(63, 81, 181);
/// Indigo 600
const Color indigo600 = const Color(57, 73, 171);
/// Indigo 700
const Color indigo700 = const Color(48, 63, 159);
/// Indigo 800
const Color indigo800 = const Color(40, 53, 147);
/// Indigo 900
const Color indigo900 = const Color(26, 35, 126);
/// Indigo A100
const Color indigoA100 = const Color(140, 158, 255);
/// Indigo A200
const Color indigoA200 = const Color(83, 109, 254);
/// Indigo A400
const Color indigoA400 = const Color(61, 90, 254);
/// Indigo A700
const Color indigoA700 = const Color(48, 79, 254);
/// Blue 500
const Color blue = const Color(33, 150, 243);
/// Blue 50
const Color blue50 = const Color(227, 242, 253);
/// Blue 100
const Color blue100 = const Color(187, 222, 251);
/// Blue 200
const Color blue200 = const Color(144, 202, 249);
/// Blue 300
const Color blue300 = const Color(100, 181, 246);
/// Blue 400
const Color blue400 = const Color(66, 165, 245);
/// Blue 500
const Color blue500 = const Color(33, 150, 243);
/// Blue 600
const Color blue600 = const Color(30, 136, 229);
/// Blue 700
const Color blue700 = const Color(25, 118, 210);
/// Blue 800
const Color blue800 = const Color(21, 101, 192);
/// Blue 900
const Color blue900 = const Color(13, 71, 161);
/// Blue A100
const Color blueA100 = const Color(130, 177, 255);
/// Blue A200
const Color blueA200 = const Color(68, 138, 255);
/// Blue A400
const Color blueA400 = const Color(41, 121, 255);
/// Blue A700
const Color blueA700 = const Color(41, 98, 255);
/// Light Blue 500
const Color lightBlue = const Color(3, 169, 244);
/// Light Blue 50
const Color lightBlue50 = const Color(225, 245, 254);
/// Light Blue 100
const Color lightBlue100 = const Color(179, 229, 252);
/// Light Blue 200
const Color lightBlue200 = const Color(129, 212, 250);
/// Light Blue 300
const Color lightBlue300 = const Color(79, 195, 247);
/// Light Blue 400
const Color lightBlue400 = const Color(41, 182, 246);
/// Light Blue 500
const Color lightBlue500 = const Color(3, 169, 244);
/// Light Blue 600
const Color lightBlue600 = const Color(3, 155, 229);
/// Light Blue 700
const Color lightBlue700 = const Color(2, 136, 209);
/// Light Blue 800
const Color lightBlue800 = const Color(2, 119, 189);
/// Light Blue 900
const Color lightBlue900 = const Color(1, 87, 155);
/// Light Blue A100
const Color lightBlueA100 = const Color(128, 216, 255);
/// Light Blue A200
const Color lightBlueA200 = const Color(64, 196, 255);
/// Light Blue A400
const Color lightBlueA400 = const Color(0, 176, 255);
/// Light Blue A700
const Color lightBlueA700 = const Color(0, 145, 234);
/// Cyan 500
const Color cyan = const Color(0, 188, 212);
/// Cyan 50
const Color cyan50 = const Color(224, 247, 250);
/// Cyan 100
const Color cyan100 = const Color(178, 235, 242);
/// Cyan 200
const Color cyan200 = const Color(128, 222, 234);
/// Cyan 300
const Color cyan300 = const Color(77, 208, 225);
/// Cyan 400
const Color cyan400 = const Color(38, 198, 218);
/// Cyan 500
const Color cyan500 = const Color(0, 188, 212);
/// Cyan 600
const Color cyan600 = const Color(0, 172, 193);
/// Cyan 700
const Color cyan700 = const Color(0, 151, 167);
/// Cyan 800
const Color cyan800 = const Color(0, 131, 143);
/// Cyan 900
const Color cyan900 = const Color(0, 96, 100);
/// Cyan A100
const Color cyanA100 = const Color(132, 255, 255);
/// Cyan A200
const Color cyanA200 = const Color(24, 255, 255);
/// Cyan A400
const Color cyanA400 = const Color(0, 229, 255);
/// Cyan A700
const Color cyanA700 = const Color(0, 184, 212);
/// Teal 500
const Color teal = const Color(0, 150, 136);
/// Teal 50
const Color teal50 = const Color(224, 242, 241);
/// Teal 100
const Color teal100 = const Color(178, 223, 219);
/// Teal 200
const Color teal200 = const Color(128, 203, 196);
/// Teal 300
const Color teal300 = const Color(77, 182, 172);
/// Teal 400
const Color teal400 = const Color(38, 166, 154);
/// Teal 500
const Color teal500 = const Color(0, 150, 136);
/// Teal 600
const Color teal600 = const Color(0, 137, 123);
/// Teal 700
const Color teal700 = const Color(0, 121, 107);
/// Teal 800
const Color teal800 = const Color(0, 105, 92);
/// Teal 900
const Color teal900 = const Color(0, 77, 64);
/// Teal A100
const Color tealA100 = const Color(167, 255, 235);
/// Teal A200
const Color tealA200 = const Color(100, 255, 218);
/// Teal A400
const Color tealA400 = const Color(29, 233, 182);
/// Teal A700
const Color tealA700 = const Color(0, 191, 165);
/// Green 500
const Color green = const Color(76, 175, 80);
/// Green 50
const Color green50 = const Color(232, 245, 233);
/// Green 100
const Color green100 = const Color(200, 230, 201);
/// Green 200
const Color green200 = const Color(165, 214, 167);
/// Green 300
const Color green300 = const Color(129, 199, 132);
/// Green 400
const Color green400 = const Color(102, 187, 106);
/// Green 500
const Color green500 = const Color(76, 175, 80);
/// Green 600
const Color green600 = const Color(67, 160, 71);
/// Green 700
const Color green700 = const Color(56, 142, 60);
/// Green 800
const Color green800 = const Color(46, 125, 50);
/// Green 900
const Color green900 = const Color(27, 94, 32);
/// Green A100
const Color greenA100 = const Color(185, 246, 202);
/// Green A200
const Color greenA200 = const Color(105, 240, 174);
/// Green A400
const Color greenA400 = const Color(0, 230, 118);
/// Green A700
const Color greenA700 = const Color(0, 200, 83);
/// Light Green 500
const Color lightGreen = const Color(139, 195, 74);
/// Light Green 50
const Color lightGreen50 = const Color(241, 248, 233);
/// Light Green 100
const Color lightGreen100 = const Color(220, 237, 200);
/// Light Green 200
const Color lightGreen200 = const Color(197, 225, 165);
/// Light Green 300
const Color lightGreen300 = const Color(174, 213, 129);
/// Light Green 400
const Color lightGreen400 = const Color(156, 204, 101);
/// Light Green 500
const Color lightGreen500 = const Color(139, 195, 74);
/// Light Green 600
const Color lightGreen600 = const Color(124, 179, 66);
/// Light Green 700
const Color lightGreen700 = const Color(104, 159, 56);
/// Light Green 800
const Color lightGreen800 = const Color(85, 139, 47);
/// Light Green 900
const Color lightGreen900 = const Color(51, 105, 30);
/// Light Green A100
const Color lightGreenA100 = const Color(204, 255, 144);
/// Light Green A200
const Color lightGreenA200 = const Color(178, 255, 89);
/// Light Green A400
const Color lightGreenA400 = const Color(118, 255, 3);
/// Light Green A700
const Color lightGreenA700 = const Color(100, 221, 23);
/// Lime 500
const Color lime = const Color(205, 220, 57);
/// Lime 50
const Color lime50 = const Color(249, 251, 231);
/// Lime 100
const Color lime100 = const Color(240, 244, 195);
/// Lime 200
const Color lime200 = const Color(230, 238, 156);
/// Lime 300
const Color lime300 = const Color(220, 231, 117);
/// Lime 400
const Color lime400 = const Color(212, 225, 87);
/// Lime 500
const Color lime500 = const Color(205, 220, 57);
/// Lime 600
const Color lime600 = const Color(192, 202, 51);
/// Lime 700
const Color lime700 = const Color(175, 180, 43);
/// Lime 800
const Color lime800 = const Color(158, 157, 36);
/// Lime 900
const Color lime900 = const Color(130, 119, 23);
/// Lime A100
const Color limeA100 = const Color(244, 255, 129);
/// Lime A200
const Color limeA200 = const Color(238, 255, 65);
/// Lime A400
const Color limeA400 = const Color(198, 255, 0);
/// Lime A700
const Color limeA700 = const Color(174, 234, 0);
/// Yellow 500
const Color yellow = const Color(255, 235, 59);
/// Yellow 50
const Color yellow50 = const Color(255, 253, 231);
/// Yellow 100
const Color yellow100 = const Color(255, 249, 196);
/// Yellow 200
const Color yellow200 = const Color(255, 245, 157);
/// Yellow 300
const Color yellow300 = const Color(255, 241, 118);
/// Yellow 400
const Color yellow400 = const Color(255, 238, 88);
/// Yellow 500
const Color yellow500 = const Color(255, 235, 59);
/// Yellow 600
const Color yellow600 = const Color(253, 216, 53);
/// Yellow 700
const Color yellow700 = const Color(251, 192, 45);
/// Yellow 800
const Color yellow800 = const Color(249, 168, 37);
/// Yellow 900
const Color yellow900 = const Color(245, 127, 23);
/// Yellow A100
const Color yellowA100 = const Color(255, 255, 141);
/// Yellow A200
const Color yellowA200 = const Color(255, 255, 0);
/// Yellow A400
const Color yellowA400 = const Color(255, 234, 0);
/// Yellow A700
const Color yellowA700 = const Color(255, 214, 0);
/// Amber 500
const Color amber = const Color(255, 193, 7);
/// Amber 50
const Color amber50 = const Color(255, 248, 225);
/// Amber 100
const Color amber100 = const Color(255, 236, 179);
/// Amber 200
const Color amber200 = const Color(255, 224, 130);
/// Amber 300
const Color amber300 = const Color(255, 213, 79);
/// Amber 400
const Color amber400 = const Color(255, 202, 40);
/// Amber 500
const Color amber500 = const Color(255, 193, 7);
/// Amber 600
const Color amber600 = const Color(255, 179, 0);
/// Amber 700
const Color amber700 = const Color(255, 160, 0);
/// Amber 800
const Color amber800 = const Color(255, 143, 0);
/// Amber 900
const Color amber900 = const Color(255, 111, 0);
/// Amber A100
const Color amberA100 = const Color(255, 229, 127);
/// Amber A200
const Color amberA200 = const Color(255, 215, 64);
/// Amber A400
const Color amberA400 = const Color(255, 196, 0);
/// Amber A700
const Color amberA700 = const Color(255, 171, 0);
/// Orange 500
const Color orange = const Color(255, 152, 0);
/// Orange 50
const Color orange50 = const Color(255, 243, 224);
/// Orange 100
const Color orange100 = const Color(255, 224, 178);
/// Orange 200
const Color orange200 = const Color(255, 204, 128);
/// Orange 300
const Color orange300 = const Color(255, 183, 77);
/// Orange 400
const Color orange400 = const Color(255, 167, 38);
/// Orange 500
const Color orange500 = const Color(255, 152, 0);
/// Orange 600
const Color orange600 = const Color(251, 140, 0);
/// Orange 700
const Color orange700 = const Color(245, 124, 0);
/// Orange 800
const Color orange800 = const Color(239, 108, 0);
/// Orange 900
const Color orange900 = const Color(230, 81, 0);
/// Orange A100
const Color orangeA100 = const Color(255, 209, 128);
/// Orange A200
const Color orangeA200 = const Color(255, 171, 64);
/// Orange A400
const Color orangeA400 = const Color(255, 145, 0);
/// Orange A700
const Color orangeA700 = const Color(255, 109, 0);
/// Deep Orange 500
const Color deepOrange = const Color(255, 87, 34);
/// Deep Orange 50
const Color deepOrange50 = const Color(251, 233, 231);
/// Deep Orange 100
const Color deepOrange100 = const Color(255, 204, 188);
/// Deep Orange 200
const Color deepOrange200 = const Color(255, 171, 145);
/// Deep Orange 300
const Color deepOrange300 = const Color(255, 138, 101);
/// Deep Orange 400
const Color deepOrange400 = const Color(255, 112, 67);
/// Deep Orange 500
const Color deepOrange500 = const Color(255, 87, 34);
/// Deep Orange 600
const Color deepOrange600 = const Color(244, 81, 30);
/// Deep Orange 700
const Color deepOrange700 = const Color(230, 74, 25);
/// Deep Orange 800
const Color deepOrange800 = const Color(216, 67, 21);
/// Deep Orange 900
const Color deepOrange900 = const Color(191, 54, 12);
/// Deep Orange A100
const Color deepOrangeA100 = const Color(255, 158, 128);
/// Deep Orange A200
const Color deepOrangeA200 = const Color(255, 110, 64);
/// Deep Orange A400
const Color deepOrangeA400 = const Color(255, 61, 0);
/// Deep Orange A700
const Color deepOrangeA700 = const Color(221, 44, 0);
/// Brown 500
const Color brown = const Color(121, 85, 72);
/// Brown 50
const Color brown50 = const Color(239, 235, 233);
/// Brown 100
const Color brown100 = const Color(215, 204, 200);
/// Brown 200
const Color brown200 = const Color(188, 170, 164);
/// Brown 300
const Color brown300 = const Color(161, 136, 127);
/// Brown 400
const Color brown400 = const Color(141, 110, 99);
/// Brown 500
const Color brown500 = const Color(121, 85, 72);
/// Brown 600
const Color brown600 = const Color(109, 76, 65);
/// Brown 700
const Color brown700 = const Color(93, 64, 55);
/// Brown 800
const Color brown800 = const Color(78, 52, 46);
/// Brown 900
const Color brown900 = const Color(62, 39, 35);
/// Grey 500
const Color grey = const Color(158, 158, 158);
/// Grey 50
const Color grey50 = const Color(250, 250, 250);
/// Grey 100
const Color grey100 = const Color(245, 245, 245);
/// Grey 200
const Color grey200 = const Color(238, 238, 238);
/// Grey 300
const Color grey300 = const Color(224, 224, 224);
/// Grey 400
const Color grey400 = const Color(189, 189, 189);
/// Grey 500
const Color grey500 = const Color(158, 158, 158);
/// Grey 600
const Color grey600 = const Color(117, 117, 117);
/// Grey 700
const Color grey700 = const Color(97, 97, 97);
/// Grey 800
const Color grey800 = const Color(66, 66, 66);
/// Grey 900
const Color grey900 = const Color(33, 33, 33);
/// Blue Grey 500
const Color blueGrey = const Color(96, 125, 139);
/// Blue Grey 50
const Color blueGrey50 = const Color(236, 239, 241);
/// Blue Grey 100
const Color blueGrey100 = const Color(207, 216, 220);
/// Blue Grey 200
const Color blueGrey200 = const Color(176, 190, 197);
/// Blue Grey 300
const Color blueGrey300 = const Color(144, 164, 174);
/// Blue Grey 400
const Color blueGrey400 = const Color(120, 144, 156);
/// Blue Grey 500
const Color blueGrey500 = const Color(96, 125, 139);
/// Blue Grey 600
const Color blueGrey600 = const Color(84, 110, 122);
/// Blue Grey 700
const Color blueGrey700 = const Color(69, 90, 100);
/// Blue Grey 800
const Color blueGrey800 = const Color(55, 71, 79);
/// Blue Grey 900
const Color blueGrey900 = const Color(38, 50, 56);
/// Black
const Color black = const Color(0, 0, 0);
/// White
const Color white = const Color(255, 255, 255);
